FOREIGN_GIPSY_READ_HEADER(3)

FUNCTION
foreign_gipsy_read_header - Read a GIPSY file header.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_gipsy_read_header

(Channel channel, flag data_alloc, flag sanitise, ...)

DESCRIPTION
This routine will read the header of a GIPSY file from a channel. The data section is NOT read.

channel
    The channel to read from.

data_alloc
    If TRUE, the data space is allocated.

sanitise
    If TRUE, GIPSY axes with length 1 are ignored. This is highly recommended.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_GIPSY_READ_HEADER_END. See <-foreign_ATT_GIPSY_READ_HEADER-> for a list of defined attributes.

RETURN VALUE
A pointer to the multi_array data structure on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/